Story # 54854 (Accepted): As an editor | want to use a more intuitive workspace module
Subject: Use alternative selector for many workspaces

Description

The toolbar of the workspace module visualizes each workspace
in a separate tab. On having many workspaces, the toolbar is
extended to multiple lines which actually reduces the available
viewport of the grid panel.

Currently it looks like this:
workspaces_header.png

Related issues:

related to Core - Task # 59016: Missing "all workspaces" tab action for regul...

Resolved

2014-05-21

Associated revisions

Revision dbbc39d4 - 2014-03-25 16:17 - Oliver Hader

[TASK] Use alternative selector for many workspaces

The toolbar of the workspace module visualizes each workspace
in a separate tab. On having many workspaces, the toolbar is
extended to multiple lines which actually reduces the available

viewport of the grid panel.

This change introduces a modified TabPanel that shrinks if the
available width is undershot. In this case an additional menu
is rendered to the right side of the panel to visualize the

remaining items in a vertical list.

Resolves: #49689

Releases: 6.2

Change-Id: 185¢c8b8134dfe27a4dc32c5d70a158ccad1763c41
Reviewed-on: https://review.typo3.org/21920

Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

History

#1 - 2013-07-05 12:39 - Gerrit Code Review

2015-08-04

1/3



https://review.typo3.org/21920

- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21920

#2 - 2013-07-20 09:27 - Oliver Hader
- Subject changed from Replace tabs in workspace module with select box to Use alternative selector for many workspaces
- PHP Version set to 5.3

#3 - 2013-07-20 09:29 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/21920

#4 - 2013-08-28 01:17 - Ernesto Baschny
- Category changed from Backend User Interface to Workspaces

- Assigned To set to Oliver Hader

Olly is working on that.

#5 - 2014-01-27 08:51 - Oliver Hader

Idea from https://github.com/ohader/TYPO3.CMS-Workspaces/commit/657c5eb3c012a81a2c9c0166ea32ab8ac29bb28e

#6 - 2014-01-27 08:53 - Oliver Hader
- Parent task set to #54854

#7 - 2014-01-27 08:55 - Oliver Hader
- File workspaces_header.png added

#8 - 2014-03-25 00:11 - Oliver Hader

How it is currently:
workspaces_header.png

#9 - 2014-03-25 00:12 - Oliver Hader
- File ProofOfConcept.png added

How it could/should look like:
ProofOfConcept.png

#10 - 2014-03-25 14:16 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
https://review.typo3.org/21920
https://review.typo3.org/21920
https://github.com/ohader/TYPO3.CMS-Workspaces/commit/657c5eb3c012a81a2c9c0166ea32ab8ac29bb28e

It is available at https://review.typo3.org/21920

#11 - 2014-03-25 14:18 - Oliver Hader
- File deleted (ProofOfConcept.png)

#12 - 2014-03-25 14:18 - Oliver Hader
- File ProofOfConcept.png added

#13 - 2014-03-25 16:31 - Oliver Hader

- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:dbbc39d4bc15b1d92d9b06e5¢19febOeded9fche.
